package com.yunfeiyun.agmp.fms.domain;

import java.math.BigDecimal;
import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;

/**
 * 库存对象 WmsStock
 * 
 * @author 杨晓辉
 * @date 2023-05-25
 */
public class WmsStock extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 库存标识 */
    private String stockId;

    /** 仓库标识 */
    @Excel(name = "仓库标识")
    @NotBlank(message = "仓库标识不能为空")
    private String warehouseId;

    /** 货物标识 */
    @Excel(name = "货物标识")
    @NotBlank(message = "货物标识不能为空")
    private String goodsId;


    /** 库存量 */
    @Excel(name = "库存量")
    private BigDecimal stockAmount;




    /** 库存备注 */
    @Excel(name = "库存备注")
    private String stockRemark;

    public void setStockId(String stockId)
    {
        this.stockId = stockId;
    }

    public String getStockId()
    {
        return stockId;
    }
    public void setWarehouseId(String warehouseId)
    {
        this.warehouseId = warehouseId;
    }

    public String getWarehouseId()
    {
        return warehouseId;
    }
    public void setGoodsId(String goodsId)
    {
        this.goodsId = goodsId;
    }

    public String getGoodsId()
    {
        return goodsId;
    }


    public void setStockAmount(BigDecimal stockAmount)
    {
        this.stockAmount = stockAmount;
    }
    public BigDecimal getStockAmount()
    {
        return stockAmount;
    }

    public void setStockRemark(String stockRemark)
    {
        this.stockRemark = stockRemark;
    }

    public String getStockRemark()
    {
        return stockRemark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("stockId", getStockId())
            .append("warehouseId", getWarehouseId())
            .append("goodsId", getGoodsId())
            .append("stockAmount", getStockAmount())
            .append("stockRemark", getStockRemark())
            .toString();
    }
}
